> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settlement advance credit line

> Returns the maker's settlement-advance credit line including total limit,
current usage, available headroom per currency, and the applicable fee
schedule (recurring, draw, and reservation fees).




## OpenAPI

````yaml openapi/stablefx.yaml get /v1/exchange/stablefx/settlementAdvance/credit
openapi: 3.1.0
info:
  title: StableFX API
  description: >
    The StableFX API provides endpoints for trading stablecoins.


    ## Authentication

    All API requests require authentication using an API key.


    ## Base URL

    The base URL for all API endpoints is:
    `https://api.circle.com/v1/exchange/stablefx`
  version: 1.0.0
servers:
  - url: https://api.circle.com
    description: StableFX API server
security:
  - BearerAuth: []
tags:
  - name: Quotes
    description: Endpoints for creating and managing quotes
  - name: Trades
    description: Endpoints for creating and managing trades
  - name: Signatures
    description: Endpoints for retrieving presign typed data and registering signatures
  - name: Fees
    description: Endpoints for retrieving fees
  - name: Funding
    description: Endpoints for funding trades
  - name: Webhook Subscriptions
    description: Manage subscriptions to notifications
  - name: Settlement Advance
    description: Request, track, and repay settlement advances.
paths:
  /v1/exchange/stablefx/settlementAdvance/credit:
    get:
      tags:
        - Settlement Advance
      summary: Get settlement advance credit line
      description: >
        Returns the maker's settlement-advance credit line including total
        limit,

        current usage, available headroom per currency, and the applicable fee

        schedule (recurring, draw, and reservation fees).
      operationId: getSettlementAdvanceCredit
      responses:
        '200':
          description: Credit line view.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettlementAdvanceCredit'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Credit line not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  headers:
    XRequestId:
      description: >
        Circle-generated universally unique identifier (UUID v4). Useful for
        identifying a specific request when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
  schemas:
    SettlementAdvanceCredit:
      type: object
      description: Settlement advance credit line view.
      required:
        - status
        - limit
        - usage
        - fees
        - createDate
        - updateDate
      properties:
        status:
          type: string
          description: Credit line status.
          enum:
            - active
            - inactive
            - onboarding
          example: active
        limit:
          $ref: '#/components/schemas/SettlementAdvanceCurrencyAmount'
        usage:
          $ref: '#/components/schemas/SettlementAdvanceCreditUsage'
        fees:
          description: Fee schedule applicable to this credit line.
          type: object
          required:
            - recurringFee
            - drawFee
            - reservationFee
          properties:
            recurringFee:
              $ref: '#/components/schemas/Amount'
              description: >-
                Hourly fee rate charged on the outstanding advance balance, in
                basis points.
            drawFee:
              $ref: '#/components/schemas/Amount'
              description: >-
                One-time fee charged when a settlement advance is drawn, in
                basis points.
            reservationFee:
              $ref: '#/components/schemas/Amount'
              description: Fee charged when credit is reserved, in basis points.
        createDate:
          $ref: '#/components/schemas/CreateDate'
        updateDate:
          $ref: '#/components/schemas/UpdateDate'
    Error:
      title: Error
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
          description: Human-readable message that describes the error.
          example: Unknown error occurred
        errors:
          type: array
          description: Array of detailed error descriptions
          items:
            $ref: '#/components/schemas/DescriptiveError'
    XRequestId:
      type: string
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
      format: uuid
    SettlementAdvanceCurrencyAmount:
      type: object
      description: Currency and amount for settlement advance flows.
      required:
        - currency
        - amount
      properties:
        currency:
          $ref: '#/components/schemas/SettlementAdvanceCurrency'
        amount:
          $ref: '#/components/schemas/Amount'
    SettlementAdvanceCreditUsage:
      type: object
      description: Credit line usage breakdown.
      required:
        - used
        - available
        - availableInCurrencies
        - outstandingTransfers
      properties:
        used:
          $ref: '#/components/schemas/Amount'
        available:
          $ref: '#/components/schemas/Amount'
        availableInCurrencies:
          type: object
          description: Available credit per currency.
          additionalProperties:
            $ref: '#/components/schemas/Amount'
          example:
            USDC: '350000.00'
            MXNB: '6020000.00'
        outstandingTransfers:
          type: integer
          description: Number of outstanding credit transfers.
          example: 3
    Amount:
      type: string
      pattern: ^\d+(?:\.\d{1,6})?$
      description: Amount of currency, formatted as a string with up to six decimal places.
      example: '100.00'
    CreateDate:
      type: string
      format: date-time
      description: Date and time when the resource was created
      example: '2023-01-01T12:04:05Z'
    UpdateDate:
      type: string
      format: date-time
      description: Date and time when the resource was last updated
      example: '2023-01-01T12:04:05Z'
    ErrorCode:
      title: ErrorCode
      type: integer
      description: The code that corresponds to the error.
      enum:
        - -1
        - 0
        - 1
        - 2
        - 3
        - 400
        - 401
        - 403
        - 404
    DescriptiveError:
      title: DescriptiveError
      type: object
      required:
        - error
        - message
      properties:
        error:
          $ref: '#/components/schemas/DescriptiveErrorType'
        location:
          type:
            - string
            - 'null'
          description: The key or path where the error occurred
        message:
          type: string
          description: Detailed description of the error
    SettlementAdvanceCurrency:
      type: string
      description: Currency code for settlement advance flows.
      example: USDC
    DescriptiveErrorType:
      title: DescriptiveErrorType
      type: string
      enum:
        - MISSING_OR_INVALID_FIELD
      description: Type of descriptive error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PREFIX:ID:SECRET
      description: >-
        Circle's API Keys are formatted in the following structure
        "PREFIX:ID:SECRET". All three parts are requred to make a successful
        request.

````